Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.joseki
Class HttpAdd

    java.lang.Object
      com.hp.hpl.jena.joseki.HttpExecute
          com.hp.hpl.jena.joseki.HttpExecuteModel
              com.hp.hpl.jena.joseki.HttpAdd

public class HttpAdd
extends HttpExecuteModel

Add statements to a remote model. A typical code sequence might be:

        HttpAdd addOp = new HttpAdd(URL of target) ;
        addOp.setModel(your model);
        addOp.exec() ;
        // resultModel should be an empty model

or

        HttpAdd addOp = new HttpAdd(URL of target) ;
        // Collect statements to be added
        addOp.add(statement) ;
        addOp.add(model) ;  // Adds all the statements in a model
        addOp.exec() ;      // Result is an empty model

The result model will be an empty model for a successful operation. Any problems cause `HttpException` to be thrown on .exec()

Version:
  $Id: HttpAdd.java,v 1.8 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Constructor Summary
`HttpAdd(java.lang.String urlStr)` Create an operation for adding statements to a remote model
`HttpAdd(java.net.URL url)` Create an operation for adding statements to a remote model

Method Summary
`void` | `add(com.hp.hpl.jena.rdf.model.Model model)` Accumulate statements to be added when the operations is executed
`void` | `add(com.hp.hpl.jena.rdf.model.Statement statement)` Accumulate statements to be added when the operations is executed

Methods inherited from class com.hp.hpl.jena.joseki.HttpExecuteModel
`getModel, setModel`

Methods inherited from class com.hp.hpl.jena.joseki.HttpExecute
`exec`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpAdd

    public HttpAdd(java.net.URL url)
            throws java.net.MalformedURLException

  Create an operation for adding statements to a remote model

### HttpAdd

    public HttpAdd(java.lang.String urlStr)
            throws java.net.MalformedURLException

  Create an operation for adding statements to a remote model

Method Detail

### add

    public void add(com.hp.hpl.jena.rdf.model.Model model)

  Accumulate statements to be added when the operations is executed

  Parameters:
    `model` - A set of statements to be added on execution

### add

    public void add(com.hp.hpl.jena.rdf.model.Statement statement)

  Accumulate statements to be added when the operations is executed

  Parameters:
    `statement` - A statement to be added on execution

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2003, 2004 Hewlett-Packard Development Company, LP